com.independentsoft.exchange

## Enum DayOfWeek

- java.lang.Object
- - java.lang.Enum<DayOfWeek>
  - - com.independentsoft.exchange.DayOfWeek

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DayOfWeek>

      public enum DayOfWeek
      extends java.lang.Enum<DayOfWeek>

  The Enum DayOfWeek.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY` Day.
    `FRIDAY` Friday.
    `MONDAY` Monday.
    `NONE` None.
    `SATURDAY` Saturday.
    `SUNDAY` Sunday.
    `THURSDAY` Thursday.
    `TUESDAY` Tuesday.
    `WEDNESDAY` Wednesday.
    `WEEKDAY` Weekday.
    `WEEKEND_DAY` WeekendDay

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DayOfWeek` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DayOfWeek[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUNDAY

          public static final DayOfWeek SUNDAY

      Sunday.

    - #### MONDAY

          public static final DayOfWeek MONDAY

      Monday.

    - #### TUESDAY

          public static final DayOfWeek TUESDAY

      Tuesday.

    - #### WEDNESDAY

          public static final DayOfWeek WEDNESDAY

      Wednesday.

    - #### THURSDAY

          public static final DayOfWeek THURSDAY

      Thursday.

    - #### FRIDAY

          public static final DayOfWeek FRIDAY

      Friday.

    - #### SATURDAY

          public static final DayOfWeek SATURDAY

      Saturday.

    - #### DAY

          public static final DayOfWeek DAY

      Day.

    - #### WEEKDAY

          public static final DayOfWeek WEEKDAY

      Weekday.

    - #### WEEKEND_DAY

          public static final DayOfWeek WEEKEND_DAY

      WeekendDay

    - #### NONE

          public static final DayOfWeek NONE

      None.

  - ### Method Detail

    - #### values

          public static DayOfWeek[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DayOfWeek c : DayOfWeek.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DayOfWeek valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null